Package com.evopdf

# Class ConversionSummary

java.lang.Object
com.evopdf.ConversionSummary

public class ConversionSummary extends Object
Offers summary information about the conversion process. After a successful conversion the `HtmlToPdfConverter.conversionSummary()` property is initialized with an instance of this class

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SizeFloat`
  `htmlContentSizePixels()`
  The size of the converted HTML content in pixels
  `SizeFloat`
  `htmlContentSizePoints()`
  Gets the size of the HTML content in points.
  `float`
  `htmlContentWidthResizeFactor()`
  The factor used to resize the HTML content when rendered in the PDF document.
  `int`
  `lastPageIndex()`
  Gets the index of the page where the rendering of the HTML ended.
  `RectangleFloat`
  `lastPageRectangle()`
  Gets the bounds of the rectangle rendered on the last page.
  `int`
  `pdfPageCount()`
  Gets the number of pages in the generated PDF document
  `SizeFloat`
  `pdfPageSizePoints()`
  Gets the page size in points of the generated PDF document
  `PdfRectangle[]`
  `renderedPagesRectangles()`
  Gets the bounds of the rendered rectangle on each PDF page
  `void`
  `setLastPageIndex(int lastPageIndex)`
  Sets the index
  `void`
  `setLastPageRectangle(RectangleFloat lastPageRectangle)`
  Sets the bounds

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### pdfPageCount

    public int pdfPageCount()
    Gets the number of pages in the generated PDF document
    Returns:
      the number of pages in the generated PDF document

  - ### htmlContentSizePixels

    public SizeFloat htmlContentSizePixels()
    The size of the converted HTML content in pixels
    Returns:
      the size of the converted HTML content in pixels

  - ### htmlContentSizePoints

    public SizeFloat htmlContentSizePoints()
    Gets the size of the HTML content in points. A point is 1/72 inches. The converter internally transforms the `htmlContentSizePixels()` in points
    Returns:
      the size of the HTML content in points

  - ### pdfPageSizePoints

    public SizeFloat pdfPageSizePoints()
    Gets the page size in points of the generated PDF document
    Returns:
      the PDF page size in points

  - ### htmlContentWidthResizeFactor

    public float htmlContentWidthResizeFactor()
    The factor used to resize the HTML content when rendered in the PDF document. When `PdfDocumentOptions.fitWidth()` property of the `HtmlToPdfConverter.pdfDocumentOptions()` object is true, the HTML content will be resized to fit the PDF page width if necessary
    Returns:
      the factor used to resize the HTML content when rendered in the PDF document

  - ### lastPageIndex

    public int lastPageIndex()
    Gets the index of the page where the rendering of the HTML ended. This information is useful when new elements are added after conversion
    Returns:
      the index of the page where the rendering of the HTML ended

  - ### setLastPageIndex

    public void setLastPageIndex(int lastPageIndex)
    Sets the index
    Parameters:
      `lastPageIndex` - the index to set

  - ### lastPageRectangle

    public RectangleFloat lastPageRectangle()
    Gets the bounds of the rectangle rendered on the last page. This information is useful when new elements are added after conversion
    Returns:
      the bounds of the rectangle rendered on the last page

  - ### setLastPageRectangle

    public void setLastPageRectangle(RectangleFloat lastPageRectangle)
    Sets the bounds
    Parameters:
      `lastPageRectangle` - the bounds to set

  - ### renderedPagesRectangles

    public PdfRectangle[] renderedPagesRectangles()
    Gets the bounds of the rendered rectangle on each PDF page
    Returns:
      the bounds of the rendered rectangle on each PDF page